Skip to main content
`Ctrl`+`K`

# TaoGetLMVMMatrix

Returns a pointer to the internal LMVM matrix. Valid only for quasi-Newton family of methods.

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoGetLMVMMatrix(Tao tao, Mat *B)

## Input Parameter

- tao - `Tao` solver context

## Output Parameter

- B - LMVM matrix

## See Also

`TAOBQNLS`, `TAOBQNKLS`, `TAOBQNKTL`, `TAOBQNKTR`, `MATLMVM`, `TaoSetLMVMMatrix()`

## Level

advanced

## Location

src/tao/bound/impls/bqnk/bqnk.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages